#include <iostream>
using namespace std;
int main(){
    int N,L,x,k=-1;
    cin>>N>>L;
    for(int i=1;i<=N;i++){
        cin>>x;
        if(x<=L){
            k=i;
            break;
        }
    }
    cout<<k;
    return 0;
}